{
    attributes = (
        {
            columnName = ADRESSE1; 
            externalType = VARCHAR2; 
            name = adresse1; 
            valueClassName = NSString; 
            width = 60; 
        }, 
        {
            columnName = ADRESSE2; 
            externalType = VARCHAR2; 
            name = adresse2; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            columnName = AFF_SECU; 
            externalType = NUMBER; 
            name = affSecu; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = ANNEE_SCOLAIRE; 
            externalType = NUMBER; 
            name = anneeScolaire; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = AYANT_DROIT; 
            externalType = NUMBER; 
            name = ayantDroit; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = BOURSE; 
            externalType = NUMBER; 
            name = bourse; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = CIVILITE; 
            externalType = VARCHAR2; 
            name = civilite; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = CODE_INE; 
            externalType = VARCHAR2; 
            name = codeIne; 
            valueClassName = NSString; 
            width = 15; 
        }, 
        {
            allowsNull = Y; 
            columnName = CODE_INSEE; 
            externalType = VARCHAR2; 
            name = codeInsee; 
            valueClassName = NSString; 
            width = 15; 
        }, 
        {
            columnName = CODE_POSTAL; 
            externalType = VARCHAR2; 
            name = codePostal; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMUNE_NAISSANCE; 
            externalType = VARCHAR2; 
            name = communeNaissance; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            definition = "INITCAP(COMMUNE_NAISSANCE)"; 
            externalType = VARCHAR2; 
            name = communeNaissanceBis; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            columnName = DATE_NAISSANCE; 
            externalType = DATE; 
            name = dateNaissance; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = EMAIL; 
            externalType = VARCHAR2; 
            name = email; 
            valueClassName = NSString; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETAT_PHOTO; 
            externalType = VARCHAR2; 
            name = etatPhoto; 
            precision = 1; 
            valueClassName = NSString; 
        }, 
        {
            allowsNull = Y; 
            columnName = LIBELLE_MUT; 
            externalType = VARCHAR2; 
            name = libelleMut; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = LIBELLE_ORGA; 
            externalType = VARCHAR2; 
            name = libelleOrga; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = LOGIN; 
            externalType = VARCHAR2; 
            name = login; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = NUMERO_ADRESSE; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM; 
            externalType = VARCHAR2; 
            name = nom; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_MARITAL; 
            externalType = VARCHAR2; 
            name = nomMarital; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            columnName = NUMERO_ETUDIANT; 
            externalType = NUMBER; 
            name = numeroEtudiant; 
            precision = 38; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = NUMERO_HISTORIQUE; 
            externalType = NUMBER; 
            name = numeroHistorique; 
            precision = 38; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = PASSWD; 
            externalType = VARCHAR2; 
            name = passwd; 
            valueClassName = NSString; 
            width = 15; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRENOM; 
            externalType = VARCHAR2; 
            name = prenom; 
            valueClassName = NSString; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = REIMMATRICULATION; 
            externalType = VARCHAR2; 
            name = reimmatriculation; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = VILLE; 
            externalType = VARCHAR2; 
            name = ville; 
            valueClassName = NSString; 
            width = 60; 
        }
    ); 
    attributesUsedForLocking = (
        numeroEtudiant, 
        noIndividu, 
        prenom, 
        reimmatriculation, 
        anneeScolaire, 
        passwd, 
        numeroHistorique
    ); 
    className = EOGenericRecord; 
    classProperties = (
        numeroEtudiant, 
        noIndividu, 
        civilite, 
        nom, 
        dateNaissance, 
        communeNaissance, 
        codeInsee, 
        etatPhoto, 
        anneeScolaire, 
        affSecu, 
        bourse, 
        libelleOrga, 
        ayantDroit, 
        libelleMut, 
        login, 
        email, 
        numeroHistorique, 
        codeIne, 
        prenom, 
        nomMarital, 
        passwd, 
        reimmatriculation, 
        adresse1, 
        adresse2, 
        codePostal, 
        ville, 
        toPhotosEtudiantsOld, 
        toPhotosEtudiants, 
        toGrhumIndividuUlr, 
        toGrhumEtudiant, 
        communeNaissanceBis
    ); 
    externalName = V_ETUD_CARTE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_nameInObjectStore = V_ETUD_CARTE; }; 
    name = VEtudCarte; 
    primaryKeyAttributes = (numeroHistorique); 
    relationships = (
        {
            destination = GrhumEtudiant; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etudNumero; sourceAttribute = numeroEtudiant; }); 
            name = toGrhumEtudiant; 
        }, 
        {
            destination = GrhumIndividuUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toGrhumIndividuUlr; 
        }, 
        {
            destination = PhotosEtudiants; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toPhotosEtudiants; 
        }, 
        {
            destination = PhotosEtudiantsOld; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toPhotosEtudiantsOld; 
        }
    ); 
}
